#ifndef DBSE_FACTORY_H
#define DBSE_FACTORY_H

#include <klibloader.h>
class KInstance;
class KAboutData;

class DbSeFactory : public KLibFactory
{
	Q_OBJECT
  TQ_OBJECT
public:
	DbSeFactory( TQObject *parent=0, const char *name=0);
	~DbSeFactory();

	virtual TQObject *createObject( TQObject *parent=0, const char *name=0,
	                               const char *classname=TQOBJECT_OBJECT_NAME_STRING,
	                               const TQStringList &args = TQStringList());

	static KInstance *instance();

private: 
	static KInstance *s_instance;
	static KAboutData *s_about;
};

#endif
